Subject: Re: small cleanup

From: Roman Zippel <[email-masked]>
Date: Thu, 01 Nov 2001 00:23:06 +0100

Hi,

Tom Rini wrote:

> I will when I get a moment.. :)  But #ifndef __FOO__ #define __FOO__
> #ifdef __BAR__ ... #endif /* __BAR__ */ #endif /* __FOO__ */ works
> better than checking for __BAR__ first?

IMO yes: "If a subsequent `#include' specifies the same file, and the
macro in the `#ifndef' is already defined, then the file is entirely
skipped, without even reading it."

bye, Roman

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/